#!/bin/bash

if [[ $# != 4 ]] 
then
	echo "usage: $0 <addr> <destFile> <subnetCheckStart> <subnetCheckEnd>"
	exit 1
fi

TMP=$3

#echo "$0 $1 $2 $3 $4" 

if ping $1 -c 1 -W 1 > /dev/null 2> error.log
then
	echo "$1" >> $2
	while [[ $TMP != $4 ]]
	do
		./speedyPing.sh `echo $1 | sed 's/[0-9]*$//'`$TMP $2 0 0 &
		TMP=$(($TMP + 1))
	done
	exit 0
else
	exit 2
fi


