#!/bin/bash

NETADDR=147.32.
TMP_DIR=sps_skript.$$
TMP_FILE=$TMP_DIR/hostsAlive.$$

mkdir $TMP_DIR 2> error.log

touch $TMP_FILE

for i in {1..254}
do
#	echo "Checking $NETADDR$i.1"
	if ./speedyPing.sh $NETADDR$i.1 $TMP_FILE 1 254
	then
		continue
	elif ./speedyPing.sh $NETADDR$i.129 $TMP_FILE 129 254 
	then
		continue
	else 
		./speedyPing.sh $NETADDR$i.65 $TMP_FILE 65 127
		./speedyPing.sh $NETADDR$i.193 $TMP_FILE 193 254 
	fi
	
done

sleep 5s

for i in `cat $TMP_FILE`
do
	echo "fqdn:" $TMP_DIR/$i >> $TMP_DIR/$i
	host $i | sed 's/.* //' >> $TMP_DIR/$i
	echo "ports:" >> $TMP_DIR/$i
	nmap $i | grep '^[0-9]' >> $TMP_DIR/$i
	echo "hosts:" >> $TMP_DIR/$i
	./speedyTraceroute.sh $i $TMP_DIR 2> error.log &
done

sleep 30s

#cat $TMP_FILE
#rm hostsAlive.$$




